EndpointsReporters

Create a reporter subscription

POST/v2/reporters/subscriptions

Creates a standing reporter binding for a trigger. Repeating an enabled binding with the same identity returns the existing subscription.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Request Body

application/json

Reporter binding, trigger, and publication options.

curl -X POST "https://example.com/v2/reporters/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "reporter": {      "reporter_version_id": "string"    },    "trigger": "round_closed"  }'
{  "id": "string",  "reporter": {    "kind": "version",    "reporter_version_id": "string"  },  "dependencies": [    {      "reporter": {        "kind": "version",        "reporter_version_id": "string"      },      "params": {},      "limits": {        "memory_mib": 1,        "guest_cpu_seconds": 1,        "wall_clock_seconds": 1,        "scratch_mib": 1,        "tool_calls": 1,        "llm_usd": 1,        "artifact_read_mib": 1,        "output_mib": 1      },      "reuse": {        "completed": true,        "max_age_seconds": 0,        "in_flight": true      },      "dependencies": [        {}      ]    }  ],  "owner_user_id": "string",  "trigger": "round_closed",  "league_id": "string",  "coworld_id": "string",  "cron": "string",  "params": {},  "publish_posts": true,  "enabled": true,  "created_at": "2019-08-24T14:15:22Z"}